Package com.documentum.fc.client

# Interface IDfBusinessObject

public interface IDfBusinessObject
A standard administrative interface that all BOF objects must implement.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getVendorString()`
  Returns the Copyright statement stored in the implementation class.
  `String`
  `getVersion()`
  Returns the current version of the business object implementation as a string.
  `boolean`
  `isCompatible(String version)`
  Checks if this object is compatible with the specified version, often used in conjunction with `supportsFeature(String)`.
  `boolean`
  `supportsFeature(String feature)`
  Checks if the specified feature matches an entry in the implementations list of supported features.

- ## Method Details

  - ### getVersion

    String getVersion()
    Returns the current version of the business object implementation as a string.

    The string has the following format: `<major version>.<minor version>`. Example: `"1.0"`.
    Returns:
      version string

  - ### getVendorString

    String getVendorString()
    Returns the Copyright statement stored in the implementation class. If a business object is provided by Documentum the vendor string would be "Copyright (c) Documentum, Inc. 1999-2005. All Rights reserved".
    Returns:
      copyright statement

  - ### isCompatible

    boolean isCompatible(String version)
    Checks if this object is compatible with the specified version, often used in conjunction with `supportsFeature(String)`.
    Parameters:
      `version` - version string of format: `<major version>.<minor version>`. Example: `"1.0"`
    Returns:
      `true` if business object type is compatible with the version (`false` if incompatible)
    See Also:
      - `supportsFeature(java.lang.String)`
      - `getVersion()`

  - ### supportsFeature

    boolean supportsFeature(String feature)
    Checks if the specified feature matches an entry in the implementations list of supported features.

    The implementation is up to the author of the BOF object. For example, the class could look up a table in the repository, store features in a private hashtable, array or list.

    Based on this information, specific UI features might then be switched on or off.
    Parameters:
      `feature` - feature string
    Returns:
      `true` if feature is supported (`false` if the feature is not supported)
    See Also:
      - `getVersion()`
      - `isCompatible(java.lang.String)`